package it.enea.cruise.model;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the flows database table.
 * 
 */
@Entity
@Table(name="flows")
@NamedQuery(name="Flow.findAll", query="SELECT f FROM Flow f")
public class Flow implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private Integer flowid;

	private String channeldescription;

	private String cronfrequence;

	private String dataformatreference;

	private Integer datasyntax;

	private String description;

	private String endtime;

	private String flowname;

	private Integer frequence;

	private Integer frequencederogation;

	private Integer gdprclassification;

	private String measurecronfrequence;

	private Integer measurefrequence;

	private Integer measurefrequencederogation;

	private Integer measurementtable;

	private Integer measurementtype;

	private String note;

	private String onerrordo;

	private String starttime;

	private Integer supplierid;

	private String userightsstatement;

	public Flow() {
	}

	public Integer getFlowid() {
		return this.flowid;
	}

	public void setFlowid(Integer flowid) {
		this.flowid = flowid;
	}

	public String getChanneldescription() {
		return this.channeldescription;
	}

	public void setChanneldescription(String channeldescription) {
		this.channeldescription = channeldescription;
	}

	public String getCronfrequence() {
		return this.cronfrequence;
	}

	public void setCronfrequence(String cronfrequence) {
		this.cronfrequence = cronfrequence;
	}

	public String getDataformatreference() {
		return this.dataformatreference;
	}

	public void setDataformatreference(String dataformatreference) {
		this.dataformatreference = dataformatreference;
	}

	public Integer getDatasyntax() {
		return this.datasyntax;
	}

	public void setDatasyntax(Integer datasyntax) {
		this.datasyntax = datasyntax;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getEndtime() {
		return this.endtime;
	}

	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}

	public String getFlowname() {
		return this.flowname;
	}

	public void setFlowname(String flowname) {
		this.flowname = flowname;
	}

	public Integer getFrequence() {
		return this.frequence;
	}

	public void setFrequence(Integer frequence) {
		this.frequence = frequence;
	}

	public Integer getFrequencederogation() {
		return this.frequencederogation;
	}

	public void setFrequencederogation(Integer frequencederogation) {
		this.frequencederogation = frequencederogation;
	}

	public Integer getGdprclassification() {
		return this.gdprclassification;
	}

	public void setGdprclassification(Integer gdprclassification) {
		this.gdprclassification = gdprclassification;
	}

	public String getMeasurecronfrequence() {
		return this.measurecronfrequence;
	}

	public void setMeasurecronfrequence(String measurecronfrequence) {
		this.measurecronfrequence = measurecronfrequence;
	}

	public Integer getMeasurefrequence() {
		return this.measurefrequence;
	}

	public void setMeasurefrequence(Integer measurefrequence) {
		this.measurefrequence = measurefrequence;
	}

	public Integer getMeasurefrequencederogation() {
		return this.measurefrequencederogation;
	}

	public void setMeasurefrequencederogation(Integer measurefrequencederogation) {
		this.measurefrequencederogation = measurefrequencederogation;
	}

	public Integer getMeasurementtable() {
		return this.measurementtable;
	}

	public void setMeasurementtable(Integer measurementtable) {
		this.measurementtable = measurementtable;
	}

	public Integer getMeasurementtype() {
		return this.measurementtype;
	}

	public void setMeasurementtype(Integer measurementtype) {
		this.measurementtype = measurementtype;
	}

	public String getNote() {
		return this.note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public String getOnerrordo() {
		return this.onerrordo;
	}

	public void setOnerrordo(String onerrordo) {
		this.onerrordo = onerrordo;
	}

	public String getStarttime() {
		return this.starttime;
	}

	public void setStarttime(String starttime) {
		this.starttime = starttime;
	}

	public Integer getSupplierid() {
		return this.supplierid;
	}

	public void setSupplierid(Integer supplierid) {
		this.supplierid = supplierid;
	}

	public String getUserightsstatement() {
		return this.userightsstatement;
	}

	public void setUserightsstatement(String userightsstatement) {
		this.userightsstatement = userightsstatement;
	}

}